nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 > Struct Template Reference

`#include <variant.hpp>`

## Public Member Functions

| VisitorUnwrapper (const Visitor &visitor_, const V2 &r_)
template<typename T1 >
R | operator() (T1 const &val1) const
template<typename T1 , typename T2 >
R | operator() (T1 const &val1, T2 const &val2) const
template<typename T1 , typename T2 , typename T3 >
R | operator() (T1 const &val1, T2 const &val2, T3 const &val3) const
template<typename T1 , typename T2 , typename T3 , typename T4 >
R | operator() (T1 const &val1, T2 const &val2, T3 const &val3, T4 const &val4) const
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
R | operator() (T1 const &val1, T2 const &val2, T3 const &val3, T4 const &val4, T5 const &val5) const

## Public Attributes

const Visitor & | visitor
const V2 & | r

## Detailed Description

template<typename R, typename Visitor, typename V2>
struct nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 >

Definition at line 2374 of file variant.hpp.

## Constructor & Destructor Documentation

## VisitorUnwrapper()

template<typename R , typename Visitor , typename V2 >

nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 >::VisitorUnwrapper | ( | const Visitor & | visitor_,
|  | const V2 & | r_
| ) |  |

inline

Definition at line 2379 of file variant.hpp.

## Member Function Documentation

## operator()() [1/5]

template<typename R , typename Visitor , typename V2 >
template<typename T1 >

R nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 >::operator() | ( | T1 const & | val1 | ) | const

inline

Definition at line 2387 of file variant.hpp.

## operator()() [2/5]

template<typename R , typename Visitor , typename V2 >
template<typename T1 , typename T2 >

R nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 >::operator() | ( | T1 const & | val1,
|  | T2 const & | val2
| ) |  | const

inline

Definition at line 2394 of file variant.hpp.

## operator()() [3/5]

template<typename R , typename Visitor , typename V2 >
template<typename T1 , typename T2 , typename T3 >

R nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 >::operator() | ( | T1 const & | val1,
|  | T2 const & | val2,
|  | T3 const & | val3
| ) |  | const

inline

Definition at line 2401 of file variant.hpp.

## operator()() [4/5]

template<typename R , typename Visitor , typename V2 >
template<typename T1 , typename T2 , typename T3 , typename T4 >

R nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 >::operator() | ( | T1 const & | val1,
|  | T2 const & | val2,
|  | T3 const & | val3,
|  | T4 const & | val4
| ) |  | const

inline

Definition at line 2408 of file variant.hpp.

## operator()() [5/5]

template<typename R , typename Visitor , typename V2 >
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

R nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 >::operator() | ( | T1 const & | val1,
|  | T2 const & | val2,
|  | T3 const & | val3,
|  | T4 const & | val4,
|  | T5 const & | val5
| ) |  | const

inline

Definition at line 2415 of file variant.hpp.

## Member Data Documentation

## r

template<typename R , typename Visitor , typename V2 >

const V2& nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 >::r

Definition at line 2377 of file variant.hpp.

## visitor

template<typename R , typename Visitor , typename V2 >

const Visitor& nonstd::variants::detail::VisitorUnwrapper< R, Visitor, V2 >::visitor

Definition at line 2376 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp